# Condition Builder

You can use condition builders to create condition statements within your workflow. For example, you can use it to control the flow using the While Loop or Conditions block. Also, you can add a condition button by clicking "Add condition".

### Value <a href="#value" id="value"></a>

#### Value <a href="#value-1" id="value-1"></a>

You can write expressions within the text field for the value you want to compare.

**Value prefix**

This prefix is a convention that serves to specify the data type of a value. You can use it to convert a value to the corresponding data type. For instance, you can use the "string::" prefix to convert a value to a string type and "number::" to convert a value to a numeric type.

Available prefix:

* `string::`: converts the value to a string.
* `json::`: converts the value to a JSON.
* `number::`: converts the value to a digit.
* `boolean::`: converts the value to a boolean.

#### Code <a href="#code" id="code"></a>

JavaScript expressions.

#### Data Exists <a href="#data-exists" id="data-exists"></a>

This checks if workflow data exists (table, variables, etc). E.g., checks variable name: `variables.name` or `variables@name`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.goless.com/reference/condition-builder.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
